
<div class="navbar">
  <!--class="active"-->
  <a [routerLink] = "['home']" routerLinkActive = "active">Home</a>
  <a [routerLink] = "['heroes']" routerLinkActive = "active">Heroes</a>
  <a [routerLink] = "['about']"routerLinkActive = "active">About</a>

  <div class="search-container">
    <input type="text" placeholder="Buscar..." id="search" #buscarTexto (keyup.enter)="buscarheroe(buscarTexto.value)">
    <button  (click)="buscarheroe(buscarTexto.value)" type="button">Buton</button>

  </div>
</div>


<!-- # Es una referencia al control html, tiene el comportamiento de un id en html. -->
<!-- key up es un evento  -->
<!---[routerLink] es remplazo de href--->








